%define module        Net-Interface
%define base_version  0.04_2
%define version       %{base_version}.1
%define release       7mdk
%define	pdir	      Net


Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{base_version}.tar.gz
Patch0:         Net-Interface-0.04_2-irq.patch.bz2
Patch1:         Net-Interface-0.04_2-linux.patch.bz2
Url: 		http://search.cpan.org/search?dist=Cache-Cache
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires: 	perl-base 
BuildRequires:	perl-devel

%description
%{module} module for perl.  Net::Interface is designed to make the use
of ifconfig(1) and friends unnecessary from within Perl.  It provides
methods to get at set all the attributes of an interface, and even
create new logical or physical interfaces (if your O/S supports it).
Even though this version, 0.04_2 is still listed as a development
release on CPAN.  CPAN testers have shown this to pass tests on Linux
with much greater success than 0.04.

%prep
%setup -q -n %{module}-%{base_version}
%patch -p1
%patch1 -p1

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%{__make} test

%install

%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

%{__rm} -rf $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc Changes COPYRIGHT README README.jdp
%{_mandir}/man3/*
%dir %{perl_vendorarch}/auto/Net/Interface
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Interface/Interface.so
%{perl_vendorarch}/auto/Net/Interface/autosplit.ix
%{perl_vendorarch}/Net/Interface.pm

%changelog
* Tue Nov 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04_2.1-7mdk
- patch 2: on Linux, just ask the number of interfaces and allocate needed space

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.04_2.1-6mdk
- Use %%makeinstall_std now that it works on klama

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.04_2.1-5mdk
- Use %%make and %%makeinstall

* Fri Aug  1 2003 Ben Reser <ben@reser.org> 0.04_2.1-4mdk
- macroification, specifically for the perl stuff so it will build across
  changing perl versions.
- Fix ownership of man3 dir

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04_2.1-3mdk
- rebuild for new auto{prov,req}

* Wed May 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.04_2.1-2mdk
- use vendor_perl
- from Peter Chen <petechen@netilla.com> :
	- 0.04_2.1
	- Added a patch to provide an additional method, irq().  This patch
  	has been submitted to the author.

* Fri Apr 18 2003 Peter Chen <petechen@netilla.com> 0.04_2-1mdk
- Initial packaging.
